/****************************************
 *  BME280用ヘッダファイル
 ***************************************/
#include <sys/types.h>      // 型定義
/** グローバル変数定義 ***/
uint32_t hum_raw, temp_raw, pres_raw;
int32_t t_fine;
uint8_t tbuf[5];                      // I2C用バッファ
/** BME用変数定義 **/
uint32_t T1;
int32_t  T2, T3;
uint32_t P1;
int32_t  P2, P3, P4, P5, P6, P7, P8, P9;
uint32_t H1, H3;
int32_t  H2, H4, H5, H6;
/*** 関数プロトタイピング ***/
void CmdSPI(uint8_t Reg, uint8_t Data);
void GetDataSPI(uint8_t *tBuf, size_t tCnt, uint8_t *rBuf, size_t rCnt);
void bme_init(void);
void bme_gettrim(void);
void bme_getdata(void);
int32_t calib_temp(int32_t adc_T);
uint32_t calib_pres(int32_t adc_P);
uint32_t calib_hum(int32_t adc_H);